API ReferenceTask Repeater
Updates the TaskRepeater resource
Updates the TaskRepeater resource
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Path Parameters
id*string
TaskRepeater identifier
The updated TaskRepeater resource
TypeScript Definitions
Use the request body type in TypeScript.
createdBy?string
Format
uuiddateStart?string
Format
date-timedateEnd?string
Format
date-timetimezone?string
Length
length <= 60frequency?integer
Range
0 <= valueintervalType?string
Value in
- "daily"
- "weekday"
- "monthly"
- "yearly"
weekday?array<>|null
status?string
Value in
- "active"
- "stopped"
dateStartOffset?integer
Range
0 <= value <= 365Default
0dateEndOffset?integer
Range
1 <= value <= 365Default
1Response Body
curl -X PATCH "https://example.com/project/task-repeaters/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "taskTemplate": "https://example.com/", "boardColumn": "https://example.com/", "createdBy": "https://example.com/", "dateStartOffset": 0, "dateEndOffset": 1, "dateStart": "2019-08-24T14:15:22Z", "dateEnd": "2019-08-24T14:15:22Z", "timezone": "string", "lastExecution": "string", "nextExecution": "2019-08-24T14:15:22Z", "frequency": 0, "intervalType": "string", "weekday": [], "createdAt": "2019-08-24T14:15:22Z", "status": "string"}